View Issue Details

IDProjectCategoryView StatusLast Update
0000629PluginsFTP (old)public2008-11-16 19:31
ReporterpultAssigned Toalexy 
PrioritynormalSeveritycrashReproducibilityrandom
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000629: ACCESS_VIOLATION override file or enter to folder
DescriptionACCESS_VIOLATION override file or enter to folder

FTP Server: "FileZilla Server FTP server"
Особенности:
  Работа ведётся с папками сконфигурированными на ftp как алиас.
  FileZilla Server работает только с UTF8.
Additional Information"FileZilla Server FTP server" version: 0.9.24.0

Far.exe version: 1.71.0.2440
FarFtp.dll version: 1.71.0.249

"C:\Program Files\Far\Plugins\FTP\lib\"
ftpDirList.map
ftpNotify.map
ftpProgress.map
ftpDirList.fll version: 1.4.0.0
ftpProgress.fll version: 1.1.0.0
ftpNotify.fll.xx version: 1.0.0.0 - plugin disabled

Логи и др. а аттаче.
TagsNo tags attached.

Activities

2008-11-04 09:50

 

ftp-plug-trap-20081104.7z (46,348 bytes)

DiRTy_GaRRy

2008-11-05 02:14

developer   bugnote:0001920

pult, может ещё приложишь подробный лог плагина? Что бы было видно что делаешь.

pult

2008-11-05 08:58

reporter   bugnote:0001923

Жаль не было выставлено писание лога. Щас выставил, как только будет crach так сразу представлю лог + присоединю лог ftp сервера...

DiRTy_GaRRy

2008-11-05 09:31

developer   bugnote:0001926

А есть стабильнй сценарий воспроизведения? Просто, то ли я неправильно настроил FileZilla Server 0.9.28.0, то ли это плавающая ошибка. Короче, у меня не повторяется.

Кстати, у меня доступ к сетевым директориям так и не заработал. :(

pult

2008-11-05 09:34

reporter   bugnote:0001927

ошибка - плавающая
доступ к сетевым директориям - сервис FileZilla нужно перенастроить на запуск под пользователем имеющим достук к нужным сетевым шарам.

DiRTy_GaRRy

2008-11-05 13:02

developer   bugnote:0001929

pult, насчёт сетевых шар, действительно, ступил.

DiRTy_GaRRy

2008-11-05 13:06

developer   bugnote:0001930

А оно у тебя вообще часто падает?

2008-11-05 13:38

 

ftp-plug-trap-20081105.7z (20,845 bytes)

pult

2008-11-05 13:39

reporter   bugnote:0001931

Last edited: 2008-11-06 08:03

Как всегда в самый нужный момент :(

Ну вот - тупо интенсивно побегал по папкам - crash.
Обещанные логи:
  ftp-plug-trap-20081105.7z

DiRTy_GaRRy

2008-11-08 17:33

developer   bugnote:0001939

pult, попробуй погоняй вот это: http://ifolder.ru/8977328

pult

2008-11-11 16:46

reporter   bugnote:0001944

Вроде стабильненько бегает ! Завалить не удалось.

DiRTy_GaRRy

2008-11-11 17:08

developer   bugnote:0001945

Тогда прилагаю патчик.

2008-11-11 17:08

 

ftp_UTF8_hang.patch (407 bytes)
Index: ftp_Connect.cpp
===================================================================
--- ftp_Connect.cpp	(revision 2050)
+++ ftp_Connect.cpp	(working copy)
@@ -451,7 +451,7 @@
     char *s;
 
     s = utf8s;
-    while(*ws && i<sz && iw<wsz) {
+    while(iw<wsz && *ws && i<sz) {
         if(*ws <= 0x007F) {                 /* 1 octet */
             *s++ = (char)*ws;
             i++;
ftp_UTF8_hang.patch (407 bytes)

DrKnS

2008-11-11 19:37

administrator   bugnote:0001946

А может кто-то просветить, зачем нужны эти шаманские decode_UTF8/encode_UTF8 если это есть в winapi?

alexy

2008-11-11 20:41

administrator   bugnote:0001947

Для Win9x.

DrKnS

2008-11-11 21:02

administrator   bugnote:0001948

Для Win95 тогда уже :)

alexy

2008-11-16 19:30

administrator   bugnote:0001967

закомитил, build 252

Issue History

Date Modified Username Field Change
2008-11-04 09:50 pult New Issue
2008-11-04 09:50 pult File Added: ftp-plug-trap-20081104.7z
2008-11-05 02:14 DiRTy_GaRRy Note Added: 0001920
2008-11-05 08:58 pult Note Added: 0001923
2008-11-05 09:31 DiRTy_GaRRy Note Added: 0001926
2008-11-05 09:34 pult Note Added: 0001927
2008-11-05 13:02 DiRTy_GaRRy Note Added: 0001929
2008-11-05 13:06 DiRTy_GaRRy Note Added: 0001930
2008-11-05 13:38 pult File Added: ftp-plug-trap-20081105.7z
2008-11-05 13:39 pult Note Added: 0001931
2008-11-05 22:14 pult Note Edited: 0001931
2008-11-06 08:03 pult Note Edited: 0001931
2008-11-08 17:33 DiRTy_GaRRy Note Added: 0001939
2008-11-11 16:46 pult Note Added: 0001944
2008-11-11 17:08 DiRTy_GaRRy Note Added: 0001945
2008-11-11 17:08 DiRTy_GaRRy File Added: ftp_UTF8_hang.patch
2008-11-11 19:37 DrKnS Note Added: 0001946
2008-11-11 20:41 alexy Note Added: 0001947
2008-11-11 21:02 DrKnS Note Added: 0001948
2008-11-16 19:30 alexy Status new => assigned
2008-11-16 19:30 alexy Assigned To => alexy
2008-11-16 19:30 alexy Note Added: 0001967
2008-11-16 19:31 alexy Status assigned => feedback
2008-11-16 19:31 alexy Status feedback => closed
2008-11-16 19:31 alexy Resolution open => fixed
2008-11-16 19:31 alexy Fixed in Version => 1.71
2013-05-21 00:30 alexy Category FTP => FTP (old)